<?php
include("../db.php");
$requestData= $_REQUEST;
$columns = array( 
	0 =>  'name_cus',
	1 =>  'phone_cus',
    3 =>  'id_scanner'
);
$date_page = date('Y-m-d');
$date_today = $date_page;
$sql = "
select * from `cus` left join `member` on `member`.`id_member` = `cus`.`id_member` where `cus`.`cus_active` = 0 and `member`.`type_member` = '0' and `cus`.`count_s` = '0'
";
$query=mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "
select * from `cus` left join `member` on `member`.`id_member` = `cus`.`id_member` where `cus`.`cus_active` = 0 and `member`.`type_member` = '0' and `cus`.`count_s` = '0'
";
if( !empty($requestData['search']['value']) ) {  
	$sql.=" AND ( name_cus LIKE %'".$requestData['search']['value']."%'  ";
	$sql.=" OR phone_cus LIKE %'".$requestData['search']['value']."%' ";    
	$sql.=" OR id_scanner LIKE %'".$requestData['search']['value']."%' )";    
}
$query=mysqli_query($db, $sql);




$totalFiltered = mysqli_num_rows($query); 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
$query=mysqli_query($db, $sql);
$data = array();
while( $row=mysqli_fetch_array($query)) {





	$nestedData=array(); 

    $le_img = strlen($row['img']);
    if($le_img == 0)
    {
        $img = "images/a.png";
    }else{
        $img = $row['img'];
    }

            $nestedData[] = $row["name_cus"];
            $nestedData[] = $row["phone_cus"];
            $nestedData[] = $row["id_scanner"];
            $nestedData[] = $row["name_member"];

            $nestedData[] = "<img src='".$img."' style='width:15%'/>";
            $nestedData[] = "";



	$data[] = $nestedData;
}

$json_data = array(
			"draw"            => intval( $requestData['draw']),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);

echo json_encode($json_data);



?>





